<?php
/*
|--------------------------------------------------------------------------
| supply_area.php 供应地域关联表
|--------------------------------------------------------------------------
*/

return array
(
	# 表名
	'name' => 'supply_category',
	# 显示给用户看的名称
	'lang' => '供应分类关联表',
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			//'list'		=> true,
		),
		
		'supply_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '供应ID',
			'default' 	=> '',
			'desc' 		=> '供应ID',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'category_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '分类ID',
			'default' 	=> '',
			'desc' 		=> '分类ID',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', DEVER_TIME),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'delete' => false,
		'edit' => false,
		'insert' => false,
	),
);
